/*
 * Created on May 7, 2005
 */
package vocleditor;

import java.util.List;
import java.util.Vector;

import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.widgets.Combo;

/**
 * @author bjoern
 *
 * VOCLEditor static
 */
public class VOCLEditorConstants
{
	public static boolean debugMode	= false;
	public static final Color CLASSIFIER_COLOR 		         =  new Color(null,255,255,206);
	public static final Color ATTRIBUTE_COLOR 		         = new Color(null,255,255,206);
	public static final Color ATTRIBUTE_COLOR_2 		         = new Color(null,235,235,186);
	public static final Color ATTRIBUTE_SELECTED_COLOR         = new Color(null,79,157,205);
	public static final Color ATTRIBUTE_SELECTED_PRIMARY_COLOR = new Color(null,99,184,255);
	public static final Color ASSOCIATION_ROLE_SELECTED_COLOR  = new Color(null,255,0,0);
	public static final Color ASSOCIATION_COLOR                = new Color(null,0,0,0);
	public static final Color CONSTRAINT_COLOR                 = new Color(null,255,255,206);
	public static final Color CONTEXT_COLOR                    = new Color(null,235,235,186);
	public static final Color CONTEXT_COLOR_2                  = new Color(null,215,215,166);
	public static final Color CONDITION_COLOR                  = new Color(null,235,235,186);
	public static final Color CONDITION_COLOR_2                = new Color(null,215,215,166);
	public static final Color EXPRESSION_COLOR	             = new Color(null,220,180,150);
	public static final Color EXPRESSION_COLOR_2               = new Color(null,190,150,120);
	public static final Color EXPRESSION_TEXT_COLOR            = new Color(null, 240, 240, 240);
	public static final Color SET_CLASSIFIER_BACK_COLOR        = new Color(null,235,235,175);
	
	public static final String[] SimpleTypes = {"boolean", "byte", "char", "double", "float", "long", "int", "short", "string"};
	
	public static void addSimpleTypesToCombo(Combo c, boolean emptyLine) {
		for (int i=0;i<SimpleTypes.length;++i) {
			c.add(SimpleTypes[i]);
		}
		if (emptyLine) c. add("");		
	}
	
	/**
	 * Returns the list of simple types.
	 * @return the list of simple types
	 */
	public static List getSimleTypes(){
		List types = new Vector();
		for(int i=0; i<SimpleTypes.length; i++)
			types.add(SimpleTypes[i]);
		return types;
	}
}
