/*
 * VOCLEditor PlugIn for Eclipse
 *
 * Gruppe 4 - Sommersemester 2005  
 */
package vocleditor.commands;

import java.util.List;
import java.util.Vector;

import vocleditor.model.VOCLTools;

import VOCLModel.*;

/**
 * Command for deleting a constraint.
 * @author bjoern
 */
public class DeleteIfExpCommand extends DeleteExpCommand
{
	/**
	 * Creates a new DeleteConstraintCommand.
	 * 
	 * @param ifexp The {@link IfExp} to be deleted
	 */
	public DeleteIfExpCommand( IfExp ifexp ) {
		setLabel("delete if expression");

		List classifiers = VOCLTools.getAllClassifiers( (NavExp) ifexp.getIfExp(), new Vector() );
		VOCLTools.getAllClassifiers( (NavExp) ifexp.getThenExp(), classifiers );
		VOCLTools.getAllClassifiers( (NavExp) ifexp.getElseExp(), classifiers );
		init( ifexp, classifiers );
	}

}
