/*
 * VOCLEditor PlugIn for Eclipse
 *
 * Gruppe 4 - Sommersemester 2005  
 */
package vocleditor.commands;

import java.util.List;
import java.util.Vector;

import vocleditor.model.VOCLTools;
import VOCLModel.*;

/**
 * Command for deleting a Let Expression.
 * @author bjoern
 */
public class DeleteLetExpCommand extends DeleteExpCommand
{
	/**
	 * Creates a new DeleteLetExpCommand.
	 * 
	 * @param letexp the let expression to be deleted
	 */
	public DeleteLetExpCommand( LetExp letexp ) {
		setLabel("delete let expression");

		List classifiers = VOCLTools.getAllClassifiers( (NavExp) letexp.getLet(), new Vector() );
		VOCLTools.getAllClassifiers( (NavExp) letexp.getIn(), classifiers );
		init( letexp, classifiers );
	}

}
