/*
 * VOCLEditor PlugIn for Eclipse
 *
 * Gruppe 4 - Sommersemester 2005  
 */
package vocleditor.edit;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import VOCLModel.Constraint;
import vocleditor.commands.DeleteConstraintCommand;;

/**
 * EditPolicy for the condition.
 * @author bjoern
 */
public class ConstraintComponentEditPolicy extends ComponentEditPolicy 
{
	protected Command createDeleteCommand(GroupRequest deleteRequest) {
		Constraint constraint = (Constraint) getHost().getModel();
		DeleteConstraintCommand deleteCmd = new DeleteConstraintCommand( constraint );
		return deleteCmd;
	}
}
