/*
 * Created on 28.05.2005
 *
 * VOCLEditor PlugIn for Eclipse
 *
 * Gruppe 4 - Sommersemester 2005  
 */
package vocleditor.edit;

import org.eclipse.gef.editpolicies.ConnectionEndpointEditPolicy;

/**
 * Handles Association Role Highlighting on selection
 * @author jan
 */
public class VOCLConnectionEndpointEditPolicy extends
		ConnectionEndpointEditPolicy {
	
	/**
	 * Fired upon selection of an AssociationRole
	 * @see org.eclipse.gef.editpolicies.SelectionEditPolicy#showSelection()
	 */
	protected void showSelection() {
		super.showSelection();
		((VOCLAssociationRoleEditPart)getHost()).setSelected(true);
	}

	/**
	 * Fired upon deselection of an AssociationRole
	 * @see org.eclipse.gef.editpolicies.SelectionEditPolicy#hideSelection()
	 */
	protected void hideSelection() {
		super.hideSelection();
		((VOCLAssociationRoleEditPart)getHost()).setSelected(false);
	}

}
