
package vocleditor.editor;

import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.CreationToolEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.jface.resource.ImageDescriptor;

/**
 * @author Stefan
 *
 */
public class VOCLCreationToolEntry extends CreationToolEntry 
{ 
	/**
	 * create VOCLCreationToolEntry
	 * @param label label
	 * @param shortDesc shorte Desciption
	 * @param factory instance of Model
	 * @param iconSmall icon
	 * @param iconLarge icon
	 */
	public VOCLCreationToolEntry(
			String label,
			String shortDesc,
			CreationFactory factory,
			ImageDescriptor iconSmall,
			ImageDescriptor iconLarge) {
			super(label, shortDesc, factory, iconSmall, iconLarge);
		}
	
	
	/**
	 * @see org.eclipse.gef.palette.ToolEntry#createTool()
	 */
	public Tool createTool() {
		return new VOCLCreationTool(factory);
	}

}
