/*
 * Created on 08.05.2005
 *
 */
package BendpointStuff;

import BendpointStuff.VOCLBendpoint;

/**
 * @author jan
 *
 * Moves a bendpoint
 */
public class MoveBendpointCommand extends BendpointCommand {
	  private VOCLBendpoint oldBendpoint;

	  public void execute() {
	  	VOCLBendpoint bp = new VOCLBendpoint();
		bp.setRelativeDimensions(getFirstRelativeDimension(), 
						getSecondRelativeDimension());
		setOldBendpoint(getConnectionModel().getBendpointAt(getIndex()));
		getConnectionModel().setBendpoint(getIndex(), bp);
		super.execute();
	  }

	  protected VOCLBendpoint getOldBendpoint() {
		return oldBendpoint;
	  }

	 public void setOldBendpoint(VOCLBendpoint bp) {
	 	oldBendpoint = bp;
	  }

	  public void undo() {
		super.undo();
		getConnectionModel().setBendpoint(getIndex(), getOldBendpoint());
	  }

}
