/*
 * VOCLEditor PlugIn for Eclipse
 *
 * Gruppe 4 - Sommersemester 2005  
 */
package vocleditor.edit;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import VOCLModel.*;
import vocleditor.commands.DeleteAttributeCommand;

/**
 * EditPolicy for Connection Role.
 */
public class AttributeComponentEditPolicy extends ComponentEditPolicy {

		/**
		 * Constructs a new AttributeComponentEditPolicy
		 */
		public AttributeComponentEditPolicy() {
			super();
		}
			
		protected Command createDeleteCommand(GroupRequest deleteRequest){
			ClassifierRole parent = (ClassifierRole) getHost().getParent().getModel();
			DeleteAttributeCommand deleteCmd = new DeleteAttributeCommand();
			deleteCmd.setParent(parent);
			deleteCmd.setAttribute((Attribute) getHost().getModel());
			return deleteCmd;						
		}
}
