/*
 * VOCLEditor PlugIn for Eclipse
 *
 * Gruppe 4 - Sommersemester 2005  
 */
package vocleditor.edit;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import VOCLModel.BoolExp;
import vocleditor.commands.DeleteBoolExpCommand;
;

/**
 * EditPolicy for the condition.
 * @author bjoern
 */
public class BoolExpComponentEditPolicy extends ComponentEditPolicy 
{
	protected Command createDeleteCommand(GroupRequest deleteRequest) {
		BoolExp boolexp = (BoolExp) getHost().getModel();		
		DeleteBoolExpCommand deleteCmd = new DeleteBoolExpCommand( boolexp );
		return deleteCmd;
	}
}
