/*
 * VOCLEditor PlugIn for Eclipse
 *
 * Gruppe 4 - Sommersemester 2005  
 */
package vocleditor.edit;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import vocleditor.commands.DeleteIfExpCommand;

import VOCLModel.IfExp;

/**
 * EditPolicy for the condition.
 * @author bjoern
 */
public class IfExpComponentEditPolicy extends ComponentEditPolicy 
{
	protected Command createDeleteCommand(GroupRequest deleteRequest) {
		IfExp ifexp = (IfExp) getHost().getModel();		
		DeleteIfExpCommand deleteCmd = new DeleteIfExpCommand( ifexp );
		return deleteCmd;
	}
}
