
package vocleditor.editor;

import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.CreationToolEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.jface.resource.ImageDescriptor;

/**
 * @author Stefan
 * 
 */

public class VOCLConnectionCreationToolEntry extends CreationToolEntry{
	/**
	 * create VOCLConnectionCreationTool
	 * @param label label
	 * @param shortDesc short Description
	 * @param factory instance of ModelCreationFactory
	 * @param iconSmall icon
	 * @param iconLarge icon
	 */
	
	public VOCLConnectionCreationToolEntry(	String label,
			String shortDesc,
			CreationFactory factory,
			ImageDescriptor iconSmall,
			ImageDescriptor iconLarge) {
			super(label, shortDesc, factory, iconSmall, iconLarge);
			setUserModificationPermission(PERMISSION_NO_MODIFICATION);
			//this.factory=factory;
			}

	/**
	 * @see org.eclipse.gef.palette.ToolEntry#createTool()
	 */
	public Tool createTool() {
		return new VOCLConnectionCreationTool(factory);
	}

}
