/**
 * <copyright>
 * </copyright>
 *
 * $Id: ClassifierRoleImpl.java,v 1.23 2005/07/07 08:31:02 bjoernt Exp $
 */
package VOCLModel.impl;

import VOCLModel.AssociationRole;
import VOCLModel.Attribute;
import VOCLModel.ClassifierRole;
import VOCLModel.Context;
import VOCLModel.Method;
import VOCLModel.NavExp;
import VOCLModel.VOCLModelPackage;
import VOCLModel.VariableDeclaration;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.EObjectWithInverseResolvingEList;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Classifier Role</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link VOCLModel.impl.ClassifierRoleImpl#getType <em>Type</em>}</li>
 *   <li>{@link VOCLModel.impl.ClassifierRoleImpl#getAttributes <em>Attributes</em>}</li>
 *   <li>{@link VOCLModel.impl.ClassifierRoleImpl#getX <em>X</em>}</li>
 *   <li>{@link VOCLModel.impl.ClassifierRoleImpl#getY <em>Y</em>}</li>
 *   <li>{@link VOCLModel.impl.ClassifierRoleImpl#getSource <em>Source</em>}</li>
 *   <li>{@link VOCLModel.impl.ClassifierRoleImpl#getTarget <em>Target</em>}</li>
 *   <li>{@link VOCLModel.impl.ClassifierRoleImpl#getNavExp <em>Nav Exp</em>}</li>
 *   <li>{@link VOCLModel.impl.ClassifierRoleImpl#getMethod <em>Method</em>}</li>
 *   <li>{@link VOCLModel.impl.ClassifierRoleImpl#getVariable <em>Variable</em>}</li>
 *   <li>{@link VOCLModel.impl.ClassifierRoleImpl#getContext <em>Context</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class ClassifierRoleImpl extends ModelElementImpl implements ClassifierRole {
  /**
   * The default value of the '{@link #getType() <em>Type</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getType()
   * @generated
   * @ordered
   */
	protected static final String TYPE_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getType() <em>Type</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getType()
   * @generated
   * @ordered
   */
	protected String type = TYPE_EDEFAULT;

  /**
   * The cached value of the '{@link #getAttributes() <em>Attributes</em>}' containment reference list.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getAttributes()
   * @generated
   * @ordered
   */
	protected EList attributes = null;

  /**
   * The default value of the '{@link #getX() <em>X</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getX()
   * @generated
   * @ordered
   */
	protected static final int X_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getX() <em>X</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getX()
   * @generated
   * @ordered
   */
	protected int x = X_EDEFAULT;

  /**
   * The default value of the '{@link #getY() <em>Y</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getY()
   * @generated
   * @ordered
   */
	protected static final int Y_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getY() <em>Y</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getY()
   * @generated
   * @ordered
   */
	protected int y = Y_EDEFAULT;

  /**
   * The cached value of the '{@link #getSource() <em>Source</em>}' reference list.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getSource()
   * @generated
   * @ordered
   */
	protected EList source = null;

  /**
   * The cached value of the '{@link #getTarget() <em>Target</em>}' reference list.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getTarget()
   * @generated
   * @ordered
   */
	protected EList target = null;

  /**
   * The cached value of the '{@link #getMethod() <em>Method</em>}' containment reference.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getMethod()
   * @generated
   * @ordered
   */
	protected Method method = null;

  /**
   * The cached value of the '{@link #getVariable() <em>Variable</em>}' reference.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getVariable()
   * @generated
   * @ordered
   */
	protected VariableDeclaration variable = null;

  /**
   * The cached value of the '{@link #getContext() <em>Context</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getContext()
   * @generated
   * @ordered
   */
  protected Context context = null;

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	protected ClassifierRoleImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	protected EClass eStaticClass()
  {
    return VOCLModelPackage.eINSTANCE.getClassifierRole();
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public String getType()
  {
    return type;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setType(String newType)
  {
    String oldType = type;
    type = newType;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.CLASSIFIER_ROLE__TYPE, oldType, type));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public EList getAttributes()
  {
    if (attributes == null)
    {
      attributes = new EObjectContainmentEList(Attribute.class, this, VOCLModelPackage.CLASSIFIER_ROLE__ATTRIBUTES);
    }
    return attributes;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public int getX()
  {
    return x;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setX(int newX)
  {
    int oldX = x;
    x = newX;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.CLASSIFIER_ROLE__X, oldX, x));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public int getY()
  {
    return y;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setY(int newY)
  {
    int oldY = y;
    y = newY;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.CLASSIFIER_ROLE__Y, oldY, y));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public EList getSource()
  {
    if (source == null)
    {
      source = new EObjectWithInverseResolvingEList(AssociationRole.class, this, VOCLModelPackage.CLASSIFIER_ROLE__SOURCE, VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_TARGET);
    }
    return source;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public EList getTarget()
  {
    if (target == null)
    {
      target = new EObjectWithInverseResolvingEList(AssociationRole.class, this, VOCLModelPackage.CLASSIFIER_ROLE__TARGET, VOCLModelPackage.ASSOCIATION_ROLE__ASSOCIATION_SOURCE);
    }
    return target;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NavExp getNavExp()
  {
    if (eContainerFeatureID != VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP) return null;
    return (NavExp)eContainer;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setNavExp(NavExp newNavExp)
  {
    if (newNavExp != eContainer || (eContainerFeatureID != VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP && newNavExp != null))
    {
      if (EcoreUtil.isAncestor(this, newNavExp))
        throw new IllegalArgumentException("Recursive containment not allowed for " + toString());
      NotificationChain msgs = null;
      if (eContainer != null)
        msgs = eBasicRemoveFromContainer(msgs);
      if (newNavExp != null)
        msgs = ((InternalEObject)newNavExp).eInverseAdd(this, VOCLModelPackage.NAV_EXP__CLASSIFIER_ROLES, NavExp.class, msgs);
      msgs = eBasicSetContainer((InternalEObject)newNavExp, VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP, newNavExp, newNavExp));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public Method getMethod()
  {
    return method;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetMethod(Method newMethod, NotificationChain msgs)
  {
    Method oldMethod = method;
    method = newMethod;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, VOCLModelPackage.CLASSIFIER_ROLE__METHOD, oldMethod, newMethod);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setMethod(Method newMethod)
  {
    if (newMethod != method)
    {
      NotificationChain msgs = null;
      if (method != null)
        msgs = ((InternalEObject)method).eInverseRemove(this, VOCLModelPackage.METHOD__CLASSIFIER_ROLE, Method.class, msgs);
      if (newMethod != null)
        msgs = ((InternalEObject)newMethod).eInverseAdd(this, VOCLModelPackage.METHOD__CLASSIFIER_ROLE, Method.class, msgs);
      msgs = basicSetMethod(newMethod, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.CLASSIFIER_ROLE__METHOD, newMethod, newMethod));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public VariableDeclaration getVariable()
  {
    if (variable != null && variable.eIsProxy())
    {
      VariableDeclaration oldVariable = variable;
      variable = (VariableDeclaration)eResolveProxy((InternalEObject)variable);
      if (variable != oldVariable)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, VOCLModelPackage.CLASSIFIER_ROLE__VARIABLE, oldVariable, variable));
      }
    }
    return variable;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public VariableDeclaration basicGetVariable()
  {
    return variable;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetVariable(VariableDeclaration newVariable, NotificationChain msgs)
  {
    VariableDeclaration oldVariable = variable;
    variable = newVariable;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, VOCLModelPackage.CLASSIFIER_ROLE__VARIABLE, oldVariable, newVariable);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void setVariable(VariableDeclaration newVariable)
  {
    if (newVariable != variable)
    {
      NotificationChain msgs = null;
      if (variable != null)
        msgs = ((InternalEObject)variable).eInverseRemove(this, VOCLModelPackage.VARIABLE_DECLARATION__CLASSIFIER_ROLES, VariableDeclaration.class, msgs);
      if (newVariable != null)
        msgs = ((InternalEObject)newVariable).eInverseAdd(this, VOCLModelPackage.VARIABLE_DECLARATION__CLASSIFIER_ROLES, VariableDeclaration.class, msgs);
      msgs = basicSetVariable(newVariable, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.CLASSIFIER_ROLE__VARIABLE, newVariable, newVariable));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Context getContext()
  {
    if (context != null && context.eIsProxy())
    {
      Context oldContext = context;
      context = (Context)eResolveProxy((InternalEObject)context);
      if (context != oldContext)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, VOCLModelPackage.CLASSIFIER_ROLE__CONTEXT, oldContext, context));
      }
    }
    return context;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Context basicGetContext()
  {
    return context;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetContext(Context newContext, NotificationChain msgs)
  {
    Context oldContext = context;
    context = newContext;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, VOCLModelPackage.CLASSIFIER_ROLE__CONTEXT, oldContext, newContext);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setContext(Context newContext)
  {
    if (newContext != context)
    {
      NotificationChain msgs = null;
      if (context != null)
        msgs = ((InternalEObject)context).eInverseRemove(this, VOCLModelPackage.CONTEXT__CONTEXT_CLASSIFIER, Context.class, msgs);
      if (newContext != null)
        msgs = ((InternalEObject)newContext).eInverseAdd(this, VOCLModelPackage.CONTEXT__CONTEXT_CLASSIFIER, Context.class, msgs);
      msgs = basicSetContext(newContext, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, VOCLModelPackage.CLASSIFIER_ROLE__CONTEXT, newContext, newContext));
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, Class baseClass, NotificationChain msgs)
  {
    if (featureID >= 0)
    {
      switch (eDerivedStructuralFeatureID(featureID, baseClass))
      {
        case VOCLModelPackage.CLASSIFIER_ROLE__SOURCE:
          return ((InternalEList)getSource()).basicAdd(otherEnd, msgs);
        case VOCLModelPackage.CLASSIFIER_ROLE__TARGET:
          return ((InternalEList)getTarget()).basicAdd(otherEnd, msgs);
        case VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP:
          if (eContainer != null)
            msgs = eBasicRemoveFromContainer(msgs);
          return eBasicSetContainer(otherEnd, VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP, msgs);
        case VOCLModelPackage.CLASSIFIER_ROLE__METHOD:
          if (method != null)
            msgs = ((InternalEObject)method).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - VOCLModelPackage.CLASSIFIER_ROLE__METHOD, null, msgs);
          return basicSetMethod((Method)otherEnd, msgs);
        case VOCLModelPackage.CLASSIFIER_ROLE__VARIABLE:
          if (variable != null)
            msgs = ((InternalEObject)variable).eInverseRemove(this, VOCLModelPackage.VARIABLE_DECLARATION__CLASSIFIER_ROLES, VariableDeclaration.class, msgs);
          return basicSetVariable((VariableDeclaration)otherEnd, msgs);
        case VOCLModelPackage.CLASSIFIER_ROLE__CONTEXT:
          if (context != null)
            msgs = ((InternalEObject)context).eInverseRemove(this, VOCLModelPackage.CONTEXT__CONTEXT_CLASSIFIER, Context.class, msgs);
          return basicSetContext((Context)otherEnd, msgs);
        default:
          return eDynamicInverseAdd(otherEnd, featureID, baseClass, msgs);
      }
    }
    if (eContainer != null)
      msgs = eBasicRemoveFromContainer(msgs);
    return eBasicSetContainer(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, Class baseClass, NotificationChain msgs)
  {
    if (featureID >= 0)
    {
      switch (eDerivedStructuralFeatureID(featureID, baseClass))
      {
        case VOCLModelPackage.CLASSIFIER_ROLE__ATTRIBUTES:
          return ((InternalEList)getAttributes()).basicRemove(otherEnd, msgs);
        case VOCLModelPackage.CLASSIFIER_ROLE__SOURCE:
          return ((InternalEList)getSource()).basicRemove(otherEnd, msgs);
        case VOCLModelPackage.CLASSIFIER_ROLE__TARGET:
          return ((InternalEList)getTarget()).basicRemove(otherEnd, msgs);
        case VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP:
          return eBasicSetContainer(null, VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP, msgs);
        case VOCLModelPackage.CLASSIFIER_ROLE__METHOD:
          return basicSetMethod(null, msgs);
        case VOCLModelPackage.CLASSIFIER_ROLE__VARIABLE:
          return basicSetVariable(null, msgs);
        case VOCLModelPackage.CLASSIFIER_ROLE__CONTEXT:
          return basicSetContext(null, msgs);
        default:
          return eDynamicInverseRemove(otherEnd, featureID, baseClass, msgs);
      }
    }
    return eBasicSetContainer(null, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)
  {
    if (eContainerFeatureID >= 0)
    {
      switch (eContainerFeatureID)
      {
        case VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP:
          return eContainer.eInverseRemove(this, VOCLModelPackage.NAV_EXP__CLASSIFIER_ROLES, NavExp.class, msgs);
        default:
          return eDynamicBasicRemoveFromContainer(msgs);
      }
    }
    return eContainer.eInverseRemove(this, EOPPOSITE_FEATURE_BASE - eContainerFeatureID, null, msgs);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public Object eGet(EStructuralFeature eFeature, boolean resolve)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case VOCLModelPackage.CLASSIFIER_ROLE__NAME:
        return getName();
      case VOCLModelPackage.CLASSIFIER_ROLE__TYPE:
        return getType();
      case VOCLModelPackage.CLASSIFIER_ROLE__ATTRIBUTES:
        return getAttributes();
      case VOCLModelPackage.CLASSIFIER_ROLE__X:
        return new Integer(getX());
      case VOCLModelPackage.CLASSIFIER_ROLE__Y:
        return new Integer(getY());
      case VOCLModelPackage.CLASSIFIER_ROLE__SOURCE:
        return getSource();
      case VOCLModelPackage.CLASSIFIER_ROLE__TARGET:
        return getTarget();
      case VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP:
        return getNavExp();
      case VOCLModelPackage.CLASSIFIER_ROLE__METHOD:
        return getMethod();
      case VOCLModelPackage.CLASSIFIER_ROLE__VARIABLE:
        if (resolve) return getVariable();
        return basicGetVariable();
      case VOCLModelPackage.CLASSIFIER_ROLE__CONTEXT:
        if (resolve) return getContext();
        return basicGetContext();
    }
    return eDynamicGet(eFeature, resolve);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void eSet(EStructuralFeature eFeature, Object newValue)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case VOCLModelPackage.CLASSIFIER_ROLE__NAME:
        setName((String)newValue);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__TYPE:
        setType((String)newValue);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__ATTRIBUTES:
        getAttributes().clear();
        getAttributes().addAll((Collection)newValue);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__X:
        setX(((Integer)newValue).intValue());
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__Y:
        setY(((Integer)newValue).intValue());
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__SOURCE:
        getSource().clear();
        getSource().addAll((Collection)newValue);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__TARGET:
        getTarget().clear();
        getTarget().addAll((Collection)newValue);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP:
        setNavExp((NavExp)newValue);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__METHOD:
        setMethod((Method)newValue);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__VARIABLE:
        setVariable((VariableDeclaration)newValue);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__CONTEXT:
        setContext((Context)newValue);
        return;
    }
    eDynamicSet(eFeature, newValue);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public void eUnset(EStructuralFeature eFeature)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case VOCLModelPackage.CLASSIFIER_ROLE__NAME:
        setName(NAME_EDEFAULT);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__TYPE:
        setType(TYPE_EDEFAULT);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__ATTRIBUTES:
        getAttributes().clear();
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__X:
        setX(X_EDEFAULT);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__Y:
        setY(Y_EDEFAULT);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__SOURCE:
        getSource().clear();
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__TARGET:
        getTarget().clear();
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP:
        setNavExp((NavExp)null);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__METHOD:
        setMethod((Method)null);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__VARIABLE:
        setVariable((VariableDeclaration)null);
        return;
      case VOCLModelPackage.CLASSIFIER_ROLE__CONTEXT:
        setContext((Context)null);
        return;
    }
    eDynamicUnset(eFeature);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public boolean eIsSet(EStructuralFeature eFeature)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case VOCLModelPackage.CLASSIFIER_ROLE__NAME:
        return NAME_EDEFAULT == null ? name != null : !NAME_EDEFAULT.equals(name);
      case VOCLModelPackage.CLASSIFIER_ROLE__TYPE:
        return TYPE_EDEFAULT == null ? type != null : !TYPE_EDEFAULT.equals(type);
      case VOCLModelPackage.CLASSIFIER_ROLE__ATTRIBUTES:
        return attributes != null && !attributes.isEmpty();
      case VOCLModelPackage.CLASSIFIER_ROLE__X:
        return x != X_EDEFAULT;
      case VOCLModelPackage.CLASSIFIER_ROLE__Y:
        return y != Y_EDEFAULT;
      case VOCLModelPackage.CLASSIFIER_ROLE__SOURCE:
        return source != null && !source.isEmpty();
      case VOCLModelPackage.CLASSIFIER_ROLE__TARGET:
        return target != null && !target.isEmpty();
      case VOCLModelPackage.CLASSIFIER_ROLE__NAV_EXP:
        return getNavExp() != null;
      case VOCLModelPackage.CLASSIFIER_ROLE__METHOD:
        return method != null;
      case VOCLModelPackage.CLASSIFIER_ROLE__VARIABLE:
        return variable != null;
      case VOCLModelPackage.CLASSIFIER_ROLE__CONTEXT:
        return context != null;
    }
    return eDynamicIsSet(eFeature);
  }

  /**
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @generated
   */
	public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (type: ");
    result.append(type);
    result.append(", x: ");
    result.append(x);
    result.append(", y: ");
    result.append(y);
    result.append(')');
    return result.toString();
  }

} //ClassifierRoleImpl
